<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::ThreadRloc16Tlv Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('db/d2d/classThread_1_1ThreadRloc16Tlv.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../d8/d2c/classThread_1_1ThreadRloc16Tlv-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::ThreadRloc16Tlv Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements RLOC16 TLV generation and parsing.  
 <a href="../../db/d2d/classThread_1_1ThreadRloc16Tlv.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../d8/d26/thread__tlvs_8hpp_source.html">src/core/thread/thread_tlvs.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Thread::ThreadRloc16Tlv:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d13/classThread_1_1ThreadRloc16Tlv__inherit__graph.png" border="0" usemap="#Thread_1_1ThreadRloc16Tlv_inherit__map" alt="Inheritance graph"/></div>
<map name="Thread_1_1ThreadRloc16Tlv_inherit__map" id="Thread_1_1ThreadRloc16Tlv_inherit__map">
<area shape="rect" id="node2" href="../../dd/d2b/classThread_1_1ThreadTlv.html" title="This class implements Network Layer TLV generation and parsing. " alt="" coords="26,5,157,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Thread::ThreadRloc16Tlv:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/dff/classThread_1_1ThreadRloc16Tlv__coll__graph.png" border="0" usemap="#Thread_1_1ThreadRloc16Tlv_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1ThreadRloc16Tlv_coll__map" id="Thread_1_1ThreadRloc16Tlv_coll__map">
<area shape="rect" id="node2" href="../../dd/d2b/classThread_1_1ThreadTlv.html" title="This class implements Network Layer TLV generation and parsing. " alt="" coords="26,5,157,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a952d3d7a606faed1102eade54c408d19"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a952d3d7a606faed1102eade54c408d19"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d2d/classThread_1_1ThreadRloc16Tlv.html#a952d3d7a606faed1102eade54c408d19">Init</a> ()</td></tr>
<tr class="memdesc:a952d3d7a606faed1102eade54c408d19"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method initializes the TLV. <br /></td></tr>
<tr class="separator:a952d3d7a606faed1102eade54c408d19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac1ef62dda4fb52bc27ab5f54467e325"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d2d/classThread_1_1ThreadRloc16Tlv.html#aac1ef62dda4fb52bc27ab5f54467e325">IsValid</a> () const </td></tr>
<tr class="memdesc:aac1ef62dda4fb52bc27ab5f54467e325"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method indicates whether or not the TLV appears to be well-formed.  <a href="#aac1ef62dda4fb52bc27ab5f54467e325">More...</a><br /></td></tr>
<tr class="separator:aac1ef62dda4fb52bc27ab5f54467e325"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a840ece43248e4382b2e69b0da34ba105"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d2d/classThread_1_1ThreadRloc16Tlv.html#a840ece43248e4382b2e69b0da34ba105">GetRloc16</a> () const </td></tr>
<tr class="memdesc:a840ece43248e4382b2e69b0da34ba105"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the RLOC16 value.  <a href="#a840ece43248e4382b2e69b0da34ba105">More...</a><br /></td></tr>
<tr class="separator:a840ece43248e4382b2e69b0da34ba105"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0752545e8566bf90056b117d002f4f8a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d2d/classThread_1_1ThreadRloc16Tlv.html#a0752545e8566bf90056b117d002f4f8a">SetRloc16</a> (uint16_t aRloc16)</td></tr>
<tr class="memdesc:a0752545e8566bf90056b117d002f4f8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the RLOC16 value.  <a href="#a0752545e8566bf90056b117d002f4f8a">More...</a><br /></td></tr>
<tr class="separator:a0752545e8566bf90056b117d002f4f8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classThread_1_1ThreadTlv"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classThread_1_1ThreadTlv')"><img src="../../closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html">Thread::ThreadTlv</a></td></tr>
<tr class="memitem:a60da431d24de15ce664368d2a96e5fcd inherit pub_methods_classThread_1_1ThreadTlv"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20">Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a60da431d24de15ce664368d2a96e5fcd">GetType</a> () const </td></tr>
<tr class="memdesc:a60da431d24de15ce664368d2a96e5fcd inherit pub_methods_classThread_1_1ThreadTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Type value.  <a href="#a60da431d24de15ce664368d2a96e5fcd">More...</a><br /></td></tr>
<tr class="separator:a60da431d24de15ce664368d2a96e5fcd inherit pub_methods_classThread_1_1ThreadTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7e30f5f1a451e88ebca600514a434b9 inherit pub_methods_classThread_1_1ThreadTlv"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#ad7e30f5f1a451e88ebca600514a434b9">SetType</a> (<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20">Type</a> aType)</td></tr>
<tr class="memdesc:ad7e30f5f1a451e88ebca600514a434b9 inherit pub_methods_classThread_1_1ThreadTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Type value.  <a href="#ad7e30f5f1a451e88ebca600514a434b9">More...</a><br /></td></tr>
<tr class="separator:ad7e30f5f1a451e88ebca600514a434b9 inherit pub_methods_classThread_1_1ThreadTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad58148cecaf4a01c4f53c923a09b51d1 inherit pub_methods_classThread_1_1ThreadTlv"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad58148cecaf4a01c4f53c923a09b51d1"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#ad58148cecaf4a01c4f53c923a09b51d1">GetLength</a> () const </td></tr>
<tr class="memdesc:ad58148cecaf4a01c4f53c923a09b51d1 inherit pub_methods_classThread_1_1ThreadTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Length value. <br /></td></tr>
<tr class="separator:ad58148cecaf4a01c4f53c923a09b51d1 inherit pub_methods_classThread_1_1ThreadTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37cf188a803169aa9fb1e384def63f73 inherit pub_methods_classThread_1_1ThreadTlv"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a37cf188a803169aa9fb1e384def63f73">SetLength</a> (uint8_t aLength)</td></tr>
<tr class="memdesc:a37cf188a803169aa9fb1e384def63f73 inherit pub_methods_classThread_1_1ThreadTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Length value.  <a href="#a37cf188a803169aa9fb1e384def63f73">More...</a><br /></td></tr>
<tr class="separator:a37cf188a803169aa9fb1e384def63f73 inherit pub_methods_classThread_1_1ThreadTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classThread_1_1ThreadTlv"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classThread_1_1ThreadTlv')"><img src="../../closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html">Thread::ThreadTlv</a></td></tr>
<tr class="memitem:a95dcbabfa2637b1949a8fc7e6c9c6c20 inherit pub_types_classThread_1_1ThreadTlv"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20">Type</a> { <br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20a4cfcba644600c56b31d3e593345a92e9">kTarget</a> = 0, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20ae45fe50f25c66f9b364a6b9ed408a256">kExtMacAddress</a> = 1, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20a43f8806d2da64e1b652f976dc82807b5">kRloc16</a> = 2, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20a5bc550ea0e7e24ffc6b6b8566d3f5068">kMeshLocalEid</a> = 3, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20aab835b03f77da024a7fee49c28fc6529">kStatus</a> = 4, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20aefa4b27643bfe9c91d60a44787905bb6">kLastTransactionTime</a> = 6, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20ae79af98d544670d96254aa99f21a2f8c">kRouterMask</a> = 7, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20ae591ba9f07e54e7d23980ca6f9d3c082">kNDOption</a> = 8, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20ad9415a2fc0a3090e5c16268159186e9f">kNDData</a> = 9, 
<br />
&#160;&#160;<a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20a7636ee0c4f850dfa0b8c7412f5ea3367">kThreadNetworkData</a> = 10
<br />
 }<tr class="memdesc:a95dcbabfa2637b1949a8fc7e6c9c6c20"><td class="mdescLeft">&#160;</td><td class="mdescRight">Network Layer TLV Types.  <a href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:a95dcbabfa2637b1949a8fc7e6c9c6c20 inherit pub_types_classThread_1_1ThreadTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classThread_1_1ThreadTlv"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classThread_1_1ThreadTlv')"><img src="../../closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html">Thread::ThreadTlv</a></td></tr>
<tr class="memitem:a4a079523209bf967433700e7010f4bde inherit pub_static_methods_classThread_1_1ThreadTlv"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a4a079523209bf967433700e7010f4bde">GetTlv</a> (const <a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, <a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a95dcbabfa2637b1949a8fc7e6c9c6c20">Type</a> aType, uint16_t aMaxLength, <a class="el" href="../../dd/d2b/classThread_1_1ThreadTlv.html">ThreadTlv</a> &amp;aTlv)</td></tr>
<tr class="memdesc:a4a079523209bf967433700e7010f4bde inherit pub_static_methods_classThread_1_1ThreadTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This static method reads the requested TLV out of <code>aMessage</code>.  <a href="#a4a079523209bf967433700e7010f4bde">More...</a><br /></td></tr>
<tr class="separator:a4a079523209bf967433700e7010f4bde inherit pub_static_methods_classThread_1_1ThreadTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements RLOC16 TLV generation and parsing. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a840ece43248e4382b2e69b0da34ba105"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t Thread::ThreadRloc16Tlv::GetRloc16 </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the RLOC16 value. </p>
<dl class="section return"><dt>Returns</dt><dd>The RLOC16 value. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/d2d/classThread_1_1ThreadRloc16Tlv_a840ece43248e4382b2e69b0da34ba105_icgraph.png" border="0" usemap="#db/d2d/classThread_1_1ThreadRloc16Tlv_a840ece43248e4382b2e69b0da34ba105_icgraph" alt=""/></div>
<map name="db/d2d/classThread_1_1ThreadRloc16Tlv_a840ece43248e4382b2e69b0da34ba105_icgraph" id="db/d2d/classThread_1_1ThreadRloc16Tlv_a840ece43248e4382b2e69b0da34ba105_icgraph">
<area shape="rect" id="node2" href="../../d4/dcf/classThread_1_1AddressResolver.html#ac249179518a77ecfdaf7d4502ef2f940" title="This method returns the RLOC16 for a given EID, or initiates an Address Query if the mapping is not k..." alt="" coords="249,721,421,760"/>
<area shape="rect" id="node11" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1842,664,2004,703"/>
<area shape="rect" id="node12" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#ab1860ae9877c2b0f6a83d677d41e31d6" title="This method returns a pointer to the Commissioning Data. " alt="" coords="226,479,444,517"/>
<area shape="rect" id="node3" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="2133,715,2297,753"/>
<area shape="rect" id="node4" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2405,703,2569,741"/>
<area shape="rect" id="node5" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2402,629,2572,668"/>
<area shape="rect" id="node10" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2417,765,2557,804"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2638,499,2818,524"/>
<area shape="rect" id="node7" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2873,436,3047,475"/>
<area shape="rect" id="node8" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2918,499,3002,524"/>
<area shape="rect" id="node9" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="3095,215,3250,253"/>
<area shape="rect" id="node13" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a5479381c182fcb3e0135c2c75fc2c96e" title="This constructor initializes the Joiner Router object. " alt="" coords="754,453,967,492"/>
<area shape="rect" id="node14" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a484af9ea3f5c73ec07d3e47c21a647c5" title="This method returns the Joiner UDP Port. " alt="" coords="492,371,706,409"/>
<area shape="rect" id="node16" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="754,391,968,416"/>
<area shape="rect" id="node38" href="../../de/d9d/classThread_1_1EnergyScanServer.html#aee01420f701ef44d6432280d8e4bf3e3" title="This constructor initializes the object. " alt="" coords="507,536,690,575"/>
<area shape="rect" id="node15" href="../../da/d96/group__config-router.html#ga13a7243b3d4c16cfc50bfbf29c42dd10" title="Get the Joiner UDP Port. " alt="" coords="1578,5,1717,31"/>
<area shape="rect" id="node17" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="1298,384,1473,423"/>
<area shape="rect" id="node18" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="1553,264,1741,303"/>
<area shape="rect" id="node19" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1815,264,2031,303"/>
<area shape="rect" id="node23" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1566,435,1728,473"/>
<area shape="rect" id="node28" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1030,172,1221,211"/>
<area shape="rect" id="node35" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1016,549,1236,575"/>
<area shape="rect" id="node37" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1045,603,1206,641"/>
<area shape="rect" id="node20" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="2105,271,2325,296"/>
<area shape="rect" id="node21" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2391,157,2583,196"/>
<area shape="rect" id="node22" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2631,157,2825,196"/>
<area shape="rect" id="node24" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1842,435,2004,473"/>
<area shape="rect" id="node26" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="1807,372,2039,411"/>
<area shape="rect" id="node25" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="2087,435,2343,473"/>
<area shape="rect" id="node27" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="2150,323,2281,348"/>
<area shape="rect" id="node29" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1307,56,1464,81"/>
<area shape="rect" id="node31" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1288,157,1484,183"/>
<area shape="rect" id="node33" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1536,107,1759,132"/>
<area shape="rect" id="node30" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="2164,56,2267,81"/>
<area shape="rect" id="node32" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="2150,164,2280,189"/>
<area shape="rect" id="node34" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="2160,107,2270,132"/>
<area shape="rect" id="node36" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1284,549,1488,588"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aac1ef62dda4fb52bc27ab5f54467e325"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Thread::ThreadRloc16Tlv::IsValid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method indicates whether or not the TLV appears to be well-formed. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">TRUE</td><td>If the TLV appears to be well-formed. </td></tr>
    <tr><td class="paramname">FALSE</td><td>If the TLV does not appear to be well-formed. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/d2d/classThread_1_1ThreadRloc16Tlv_aac1ef62dda4fb52bc27ab5f54467e325_cgraph.png" border="0" usemap="#db/d2d/classThread_1_1ThreadRloc16Tlv_aac1ef62dda4fb52bc27ab5f54467e325_cgraph" alt=""/></div>
<map name="db/d2d/classThread_1_1ThreadRloc16Tlv_aac1ef62dda4fb52bc27ab5f54467e325_cgraph" id="db/d2d/classThread_1_1ThreadRloc16Tlv_aac1ef62dda4fb52bc27ab5f54467e325_cgraph">
<area shape="rect" id="node2" href="../../dd/d2b/classThread_1_1ThreadTlv.html#ad58148cecaf4a01c4f53c923a09b51d1" title="This method returns the Length value. " alt="" coords="226,5,364,44"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/d2d/classThread_1_1ThreadRloc16Tlv_aac1ef62dda4fb52bc27ab5f54467e325_icgraph.png" border="0" usemap="#db/d2d/classThread_1_1ThreadRloc16Tlv_aac1ef62dda4fb52bc27ab5f54467e325_icgraph" alt=""/></div>
<map name="db/d2d/classThread_1_1ThreadRloc16Tlv_aac1ef62dda4fb52bc27ab5f54467e325_icgraph" id="db/d2d/classThread_1_1ThreadRloc16Tlv_aac1ef62dda4fb52bc27ab5f54467e325_icgraph">
<area shape="rect" id="node2" href="../../d4/dcf/classThread_1_1AddressResolver.html#ac249179518a77ecfdaf7d4502ef2f940" title="This method returns the RLOC16 for a given EID, or initiates an Address Query if the mapping is not k..." alt="" coords="226,68,398,107"/>
<area shape="rect" id="node11" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="231,131,393,169"/>
<area shape="rect" id="node3" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="446,68,611,107"/>
<area shape="rect" id="node4" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="661,5,826,44"/>
<area shape="rect" id="node5" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="659,131,828,169"/>
<area shape="rect" id="node10" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="673,68,814,107"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="876,137,1057,163"/>
<area shape="rect" id="node7" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="1105,103,1278,141"/>
<area shape="rect" id="node8" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="1149,165,1234,191"/>
<area shape="rect" id="node9" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="1326,159,1482,197"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a0752545e8566bf90056b117d002f4f8a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::ThreadRloc16Tlv::SetRloc16 </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aRloc16</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the RLOC16 value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aRloc16</td><td>The RLOC16 value. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/d2d/classThread_1_1ThreadRloc16Tlv_a0752545e8566bf90056b117d002f4f8a_icgraph.png" border="0" usemap="#db/d2d/classThread_1_1ThreadRloc16Tlv_a0752545e8566bf90056b117d002f4f8a_icgraph" alt=""/></div>
<map name="db/d2d/classThread_1_1ThreadRloc16Tlv_a0752545e8566bf90056b117d002f4f8a_icgraph" id="db/d2d/classThread_1_1ThreadRloc16Tlv_a0752545e8566bf90056b117d002f4f8a_icgraph">
<area shape="rect" id="node2" href="../../d4/dcf/classThread_1_1AddressResolver.html#ac249179518a77ecfdaf7d4502ef2f940" title="This method returns the RLOC16 for a given EID, or initiates an Address Query if the mapping is not k..." alt="" coords="1006,5,1179,44"/>
<area shape="rect" id="node11" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1795,63,1957,101"/>
<area shape="rect" id="node12" href="../../d4/d80/group__core-netdata-core.html#ga0caa53c797a248a80b591f963d110657" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="226,215,438,267"/>
<area shape="rect" id="node3" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="2081,37,2245,76"/>
<area shape="rect" id="node4" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="2353,7,2517,45"/>
<area shape="rect" id="node5" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="2350,211,2520,249"/>
<area shape="rect" id="node10" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="2365,69,2505,108"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="2586,268,2767,293"/>
<area shape="rect" id="node7" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2822,289,2995,328"/>
<area shape="rect" id="node8" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2866,240,2950,265"/>
<area shape="rect" id="node9" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="3043,455,3198,493"/>
<area shape="rect" id="node13" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#a719450dae714bd29bfea19b7d1eb6e9f" title="This method sends a Server Data Notification message to the Leader indicating an invalid RLOC16..." alt="" coords="486,448,728,487"/>
<area shape="rect" id="node15" href="../../dd/dd1/classThread_1_1NetworkData_1_1Local.html#a6688957845dc3ee7fc08bbc50145d98e" title="This method sends a Server Data Notification message to the Leader. " alt="" coords="490,221,723,260"/>
<area shape="rect" id="node14" href="../../db/dec/group__core-mle-router.html#gacc03d6eee4a8cc0fa65e15d1e65ca909" title="This method removes a link to a neighbor. " alt="" coords="783,612,944,651"/>
<area shape="rect" id="node16" href="../../db/da2/group__config-br.html#gaf9f7e49c190e8e11297d534e223d6274" title="Immediately register the local network data with the Leader. " alt="" coords="2098,561,2229,587"/>
<area shape="rect" id="node19" href="../../df/d94/group__core-mle-core.html#gace8437c6340cefbd5db1a53f9e00422b" title="This method appends a Pending Timestamp TLV to a message. " alt="" coords="776,288,951,327"/>
<area shape="rect" id="node34" href="../../db/dec/group__core-mle-router.html#gac532b9ffa61813ee2c1463b6820c8c75" title="This method returns the number of active routers. " alt="" coords="1526,127,1688,165"/>
<area shape="rect" id="node17" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="2339,455,2531,493"/>
<area shape="rect" id="node18" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="2579,455,2774,493"/>
<area shape="rect" id="node20" href="../../df/d94/group__core-mle-core.html#gac13477847483bba0aeab32fd93a7dbac" title="This method generates an MLE Data Request message. " alt="" coords="999,345,1187,384"/>
<area shape="rect" id="node21" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="1235,303,1449,328"/>
<area shape="rect" id="node31" href="../../db/dec/group__core-mle-router.html#ga12a2afd1fef5036981d7f1f05d3e6f01" title="This method sets the ROUTER_DOWNGRADE_THRESHOLD value. " alt="" coords="1499,404,1715,443"/>
<area shape="rect" id="node22" href="../../df/d94/group__core-mle-core.html#ga09239c621861382d25163980ab5d983b" title="This method generates an MLE Child Update Request message. " alt="" coords="1512,467,1702,505"/>
<area shape="rect" id="node29" href="../../df/d94/group__core-mle-core.html#ga91214fcb8db3271fc3ad0472e38c1e0a" title="This method generates an MLE Announce message. " alt="" coords="1497,189,1717,215"/>
<area shape="rect" id="node33" href="../../db/dec/group__core-mle-router.html#ga7126c084ace25827febebc4210928cd4" title="This method generates an MLE Link Reject. " alt="" coords="1526,239,1687,277"/>
<area shape="rect" id="node23" href="../../df/d94/group__core-mle-core.html#ga01c7e5a022360a6f35e30d07221dbfea" title="This method starts the MLE protocol operation. " alt="" coords="1798,356,1955,381"/>
<area shape="rect" id="node25" href="../../df/d94/group__core-mle-core.html#gafb51db61e6e184d664a9e7cc3833dcf4" title="This method sets the MLE Timeout value. " alt="" coords="1778,511,1974,536"/>
<area shape="rect" id="node27" href="../../df/d94/group__core-mle-core.html#ga453d94c377c5825a4a5e8b66a728e591" title="This method sets the Device Mode as reported in the Mode TLV. " alt="" coords="1765,461,1988,487"/>
<area shape="rect" id="node24" href="../../d0/d0a/group__commands.html#ga62fbc1cdb7b036df73975ca5683f8573" title="This function starts Thread protocol operation. " alt="" coords="2112,356,2215,381"/>
<area shape="rect" id="node26" href="../../df/d4f/group__config-general.html#ga6b28b99c77378da98922a3d994b7641c" title="Set the Thread Child Timeout used when operating in the Child role. " alt="" coords="2098,511,2229,536"/>
<area shape="rect" id="node28" href="../../df/d4f/group__config-general.html#ga8263fa852e25758aad3636bce0069a0d" title="Set the MLE Link Mode configuration. " alt="" coords="2108,461,2218,487"/>
<area shape="rect" id="node30" href="../../da/d6e/classThread_1_1AnnounceBeginServer.html#a0ec55dcc678b320251be99112cfc037b" title="This method begins the MLE Announce transmission process. " alt="" coords="1774,188,1978,227"/>
<area shape="rect" id="node32" href="../../db/d57/group__config-test.html#ga907be1830046930bb04f606dc6dc3ec1" title="Set the ROUTER_DOWNGRADE_THRESHOLD parameter used in the Leader role. " alt="" coords="2053,411,2273,436"/>
<area shape="rect" id="node35" href="../../db/dec/group__core-mle-router.html#gadf4904db11b31b2931f2f5ed1b988f83" title="This method fills an RouteTlv. " alt="" coords="1795,125,1957,164"/>
<area shape="rect" id="node36" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="2036,152,2291,191"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/core/thread/<a class="el" href="../../d8/d26/thread__tlvs_8hpp_source.html">thread_tlvs.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../db/d2d/classThread_1_1ThreadRloc16Tlv.html">ThreadRloc16Tlv</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
